import { HoverState, SelectionState, TextAnnotatorOptions, TextAnnotatorState } from '@recogito/text-annotator';
import { ViewportState } from '@annotorious/core';
import { PDFAnnotation } from '../PDFAnnotation';
import { PDFAnnotationStore } from './PDFAnnotationStore';
import * as pdfjsViewer from 'pdfjs-dist/legacy/web/pdf_viewer.mjs';
export interface PDFAnnotatorState extends TextAnnotatorState<PDFAnnotation, PDFAnnotation> {
    store: PDFAnnotationStore;
    selection: SelectionState<PDFAnnotation, PDFAnnotation>;
    hover: HoverState<PDFAnnotation>;
    viewport: ViewportState;
}
export declare const createPDFAnnotatorState: (viewer: pdfjsViewer.PDFViewer, viewerElement: HTMLDivElement, opts: TextAnnotatorOptions<PDFAnnotation>) => PDFAnnotatorState;
