import { TextAnnotation, TextAnnotationTarget, TextSelector } from '@recogito/text-annotator';
import { PDFAnnotation, PDFAnnotationTarget, PDFSelector } from '../../PDFAnnotation';
/**
 * Revives the given annotation target, if needed.
 *
 * - if there is a valid offsetReference element, it will reconstruct the PDF page number if needed.
 * - vice versa, if there is no offsetReference, but a pageNumber, it will add in the offsetReference element.
 *
 * Targets that have neither a pageNumber nor an offsetReference shouldn't be possible. (Annotations
 * created by the user will always have an offsetReference, annotations coming from the backend or
 * realtime channel will always have a page number).
 */
export declare const reviveTarget: (target: PDFAnnotationTarget | TextAnnotationTarget) => PDFAnnotationTarget;
export declare const reviveSelector: (selector: PDFSelector | TextSelector) => PDFSelector;
/** Helper: revives the target of the given annotation, if needed **/
export declare const reviveAnnotation: (a: PDFAnnotation | TextAnnotation) => PDFAnnotation;
